#!/bin/csh
# Remove "/usr/sbin:/sbin" from $PATH inherited from centrify sshd for normal user. See bug centrify bug#12082
#

if ( `id -u` != 0 ) then
	set path = ( `echo $path | sed 's/\/usr\/sbin \/sbin//'` )
endif

if ( "${path}" !~ */usr/share/centrifydc/bin* ) then
	set path = ( /usr/share/centrifydc/bin $path )
endif
if ( "${path}" !~ */usr/share/centrifydc/sbin* ) then
	if ( `id -u` == 0 ) then
		set path = ( /usr/share/centrifydc/sbin $path )
	endif
endif
